Skip to main content
GET
/
v1
/
logical-environments
List logical environments
curl --request GET \
  --url https://api.app.chainloop.dev/v1/logical-environments \
  --header 'Authorization: Bearer <token>'
{
  "logical_environments": [
    {
      "updated_at": "2000-01-23T04:56:07.000Z",
      "organization_id": "organization_id",
      "name": "name",
      "description": "description",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id"
    },
    {
      "updated_at": "2000-01-23T04:56:07.000Z",
      "organization_id": "organization_id",
      "name": "name",
      "description": "description",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id"
    }
  ],
  "pagination": {
    "total_count": 1,
    "page": 0,
    "total_pages": 5,
    "page_size": 6
  }
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

pagination.page
integer<int32>

The (zero-based) offset of the first item returned in the collection.

pagination.page_size
integer<int32>

The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

query
string

Query string to search across logical environment name and description (case-insensitive)

Response

A successful response.

logical_environments
LogicalEnvironment represents a logical environment entity · object[]
pagination
OffsetPaginationResponse is used to return the pagination information · object
Example:
{
"total_count": 1,
"page": 0,
"total_pages": 5,
"page_size": 6
}